summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/register7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/register b/bin/register
index d335ea273..5162e44e4 100755
--- a/bin/register
+++ b/bin/register
@@ -14,7 +14,7 @@ REGCACHE="register.cache"
SENDMAIL="/usr/sbin/sendmail"
# SCRIPT VERSION NUMBER (DO NOT ALTER)
-REGISTERVERSION="1.1"
+REGISTERVERSION="1.2"
# DO NOT CHANGE IF YOU WANT TO REGISTER WITH ANOPE
REGISTRYADDRESS="register@anope.org"
@@ -24,6 +24,11 @@ REGISTRYADDRESS="register@anope.org"
# YOU ARE NOT REQUIRED TO CHANGE ANYTHING BELOW
################################################
+if [ $0 != "./register" ] ; then
+ echo "Warning: Run this file while in the /bin/ directory (e.g. ./register)"
+ exit 1
+fi
+
if [ ! -f $CACHEFILE ] ; then
echo "Warning: Configuration cache file missing. Run ./configure"
exit 1